export declare class XSelectOption {
    /**
     * Element value
     */
    value: string;
    /**
     * Element selected state
     */
    selected: boolean;
    /**
     * Element disabled state
     */
    disabled: boolean;
    /**
     * Element reference
     */
    el: HTMLElement;
    /**
     * Listen for keyboard events for confirmation
     */
    handleKeyDown(ev: KeyboardEvent): void;
    /**
     * Element click event listener
     *
     * @returns
     */
    handleClick(): void;
    /**
     * Element render
     */
    render(): any;
}
